Package org.eclipse.graphiti.ui.internal.util.ui.print

# Interface IDiagramsExporter

public interface IDiagramsExporter
Exports the content of a graphical viewer provided as image and as figure. The usual use-case is exporting to a file. But exports could in principal go anywhere.

Since:
  0.8.0

## Method Summary

Modifier and Type
Method
Description
`void`
`export(org.eclipse.swt.graphics.Image im, org.eclipse.draw2d.IFigure figure, String fileName, Double scaleFactor)`
Exports the graphics using the passed image or figure.

## Method Details

### export

void export(org.eclipse.swt.graphics.Image im, org.eclipse.draw2d.IFigure figure, String fileName, Double scaleFactor) throws Exception
Exports the graphics using the passed image or figure. Throws a Exception if something goes wrong.

Parameters:
  `im` - the image to be exported, the image is already scaled
  `figure` - the figure to be exported
  `fileName` - null or an filename
  `scaleFactor` - the scale factor, can be used to scale the figure
Throws:
  `Exception`